Re: Security software can reduce effectiveness of DEP/ASLR

Discussion in 'other security issues & news' started by m00nbl00d, Dec 22, 2012.

Thread Status:
Not open for further replies.
  1. m00nbl00d

    m00nbl00d Registered Member

    Joined:
    Jan 4, 2009
    Posts:
    6,623
    Couldn't reply to the thread with the same name.

    In that thread, back then, HashTab didn't support ASLR. Apparently, a new version came out in October 2012. I'm wondering if this version supports ASLR? I hope these folks didn't forget to suport it.


    Thanks
     
  2. Hungry Man

    Hungry Man Registered Member

    Joined:
    May 11, 2011
    Posts:
    9,148
    Use slopfinder, easy to find out.

    I've looked at quite a number of security suites - many of them have non ASLR executables, multiple of those are related to "browser protection" plugins.
     
  3. m00nbl00d

    m00nbl00d Registered Member

    Joined:
    Jan 4, 2009
    Posts:
    6,623
    I forgot about that. Thanks for the reminder! :thumb:
     
  4. BoerenkoolMetWorst

    BoerenkoolMetWorst Registered Member

    Joined:
    Dec 22, 2009
    Posts:
    3,771
    Location:
    Outer space
    I just checked the new version out, it supports ASLR now :)
     
  5. safeguy

    safeguy Registered Member

    Joined:
    Jun 14, 2010
    Posts:
    1,718
    Thanks for this. I've seen it before and bookmarked it but totally forgotten about trying it out.
     
Loading...
Thread Status:
Not open for further replies.